メインコンテンツへスキップ
POST
/
v1
/
images
/
generations
curl --request POST \ --url https://api.evolink.ai/v1/images/generations \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data ' { "model": "mj-v7-inpaint", "prompt": "桜の木を追加する", "model_params": { "task_id": "task-unified-xxx", "image_number": 0, "mask": { "areas": [ { "width": 200, "height": 200, "points": [ 50, 50, 50, 250, 250, 250, 250, 50 ] } ] } } } '
{
  "created": 1757165031,
  "id": "task-unified-1757165031-mjv7",
  "model": "<string>",
  "object": "image.generation.task",
  "progress": 0,
  "status": "pending",
  "task_info": {
    "can_cancel": true,
    "estimated_time": 45
  },
  "type": "image",
  "usage": {
    "billing_rule": "per_call",
    "credits_reserved": 1.8,
    "user_group": "default"
  }
}
Midjourneyにはコンテンツ審査機能が組み込まれています。生成された画像の一部が審査でフィルタリングされた場合、そのリクエストで消費されたクレジットは返金されません。プロンプトの内容がガイドラインに準拠しているかご確認ください。

承認

Authorization
string
header
必須

##全てのインターフェースはBearer Token認証が必要です##

API Keyの取得:

API Key管理ページにアクセスしてAPI Keyを取得してください

リクエストヘッダーに追加:

Authorization: Bearer YOUR_API_KEY

ボディ

application/json
model
enum<string>
デフォルト:mj-v7-inpaint
必須

モデル名

利用可能なオプション:
mj-v7-inpaint
model_params
object
必須

モデルパラメータ

prompt
string

再描画領域に生成したい内容を記述

:

"桜の木を追加する"

callback_url
string<uri>

タスク完了後のコールバックURL

レスポンス

タスク作成成功

created
integer

タスク作成タイムスタンプ

:

1757165031

id
string

タスクID

:

"task-unified-1757165031-mjv7"

model
string

実際に使用されたモデル名

object
enum<string>

タスクタイプ

利用可能なオプション:
image.generation.task
progress
integer

タスク進捗率 (0-100)

必須範囲: 0 <= x <= 100
:

0

status
enum<string>

タスクステータス

利用可能なオプション:
pending,
processing,
completed,
failed
:

"pending"

task_info
object
type
enum<string>
利用可能なオプション:
text,
image,
audio,
video
:

"image"

usage
object